/* $Header: /usr/people/pcd/Src/RTF/RCS/xtextview_c.h,v 1.1 92/11/23 12:58:53 pcd Exp Locker: pcd $
 */

#ifndef __xtextview_c_h
#define __xtextview_c_h

#include <X11/Xlib.h>

void*
XTextView_create(Display*, void*);

void
XTextView_destroy(void*);

int
XTextView_string(void*, const char*, int);

void
XTextView_resize(void*, int x, int y, int w, int h);

void
XTextView_drawable(void*, Drawable, int depth);

void
XTextView_render(void*, int x, int y, int w, int h);

int
XTextView_region(void*, long first, long last, int x[4], int y[4]);

int
XTextView_locate(void*, long pos, int* top, int* bot);

int
XTextView_height(void*);

int
XTextView_width(void*);

long
XTextView_position(void*, int x, int y);

char*
XTextView_plain_text(const char*, long);

XFontStruct*
Widget_font(void* widget, const char*);

unsigned long /* Pixel */
Widget_color(void* widget, int r, int g, int b);

GC
Widget_get_gc(void*, unsigned long, XGCValues*);

void
Widget_free_gc(void*, GC);

#endif

